using KristofferStrube.Blazor.FileSystemAccess;
using Microsoft.AspNetCore.Components.Web;
using Microsoft.AspNetCore.Components.WebAssembly.Hosting;
using ParquetViewer;
using Radzen;

#if DEBUG
Tracker.Instance = new Tracker("pqv", "dev");
#else
Tracker.Instance = new Tracker("pqv", Config.Version);
#endif
Tracker.Instance.Constants["lib"] = Parquet.Globals.Version;

await Tracker.Instance.Track("load");

var builder = WebAssemblyHostBuilder.CreateDefault(args);
builder.RootComponents.Add<App>("#app");
builder.RootComponents.Add<HeadOutlet>("head::after");

builder.Services.AddScoped(sp => new HttpClient { BaseAddress = new Uri(builder.HostEnvironment.BaseAddress) });
builder.Services.AddFileSystemAccessService();
builder.Services.AddScoped<DialogService>();
builder.Services.AddScoped<TooltipService>();

await builder.Build().RunAsync();
