# Parquet Viewer

> This project was a great Blazor experiment, but it's not superseded by built-in reference implementation of a desktop viewer app at https://github.com/aloneguid/parquet-dotnet. Thanks for great time!


Are you ready to explore the amazing world of Parquet files? Introducing **Parquet Viewer**, a cutting-edge tool that uses the powerful [Parquet.Net](https://github.com/aloneguid/parquet-dotnet) library to let you view and analyse your data in a snap. And the best part? It works completely **offline**! That's right, no internet connection required and no data uploaded anywhere. Just open your files and enjoy. Parquet Viewer is still in very experimental stages, so I appreciate your feedback and support.

Hosted here on [GitHub Pages](https://aloneguid.github.io/parquet-online/) for zero cost and full transparency.

## Demo Video

[![Demo Video](https://img.youtube.com/vi/Dq-Ru3DQh0E/0.jpg)](https://www.youtube.com/watch?v=Dq-Ru3DQh0E)

## Screenshots

Main View

[![](banner.png)](https://aloneguid.github.io/parquet-online/)

Simple and detailed schema view:

![](schema.png)

Low-level metadata and schema view:

![](meta.png)

## Features

- View **Schema** as Parquet.Net sees it and low-level view.
- Display parquet internal structure.
- View flat parquet data.
- View nested types (structures, lists, maps).
- Choose which columns to visualise.

## Roadmap

- Specify options before opening files. Such as columns, rows etc.
- View truly massive files.

## Open-Source Libraries

This project would not be possible without:

- [Radzen Blazor Components](https://www.radzen.com/blazor-components/).
- [BlazorFileSystem](https://github.com/KristofferStrube/Blazor.FileSystemAccess).
- [Humanizer](https://github.com/Humanizr/Humanizer).
- [alenaksu/json-viewer](https://github.com/alenaksu/json-viewer).

## Contribute

You know what would make me even happier? If you could show your appreciation by buying me a coffee! Yes, you heard me right. A coffee. Not a car, not a house, not a yacht. Just a simple, delicious, caffeinated beverage that will keep me awake and motivated to work on more features. So what are you waiting for? Click that button and buy me a coffee! Or two. Or three. I won't judge. 😉

<a href="https://www.buymeacoffee.com/alonecoffee" target="_blank"><img height="50" src="bmc-button.svg" /></a>
